SETUP/ STACK	EQU	41F8H
 KIDCB	EQU	4015H
 DODCB	EQU	401DH
 PRDCB	EQU	4025H
 KIADDR	EQU	KIDCB+1
 DOADDR	EQU	DODCB+1
 PRADD	EQU	PRDCB+1
 COUNT	EQU	PRDCB+4
 LINEPG	EQU	PRDCB+3
 CURSOR	EQU	DODCB+3
 KICNT	EQU	KIDCB+4
 KIFLAG	EQU	KIDCB+3
 VIDTOP	EQU	40DCH
 VIDBOT	EQU	40DEH
 CHAR	EQU	DODCB+5
 SETUP	LD	SP,STACK
 	LD	A,80H
 	LD	(KIDCB),A
 	LD	HL,KEYIN
 ;*****	SETUP/ASM
 	LD	(KIADDR),HL	;KYBRD DRIVER TO DCB
 	XOR	A		;ZERO IT
 	LD	(KIFLAG),A	;SET UPPER CASE
 	LD	A,81H
 	LD	(DODCB),A
 	LD	HL,VOUT		;VIDEO DRIVER
 	LD	(DOADDR),HL	;TO DCB
 	LD	HL,3C00H	;CURSOR ADDRESS
 	LD	(CURSOR),HL
 	LD	(VIDTOP),HL	;SET TO OF SCREEN
 	LD	HL,3FC0H
 	LD	(VIDBOT),HL	;BOTTOM OF SCREEN
 	LD	HL,POUT		;PRINTER DRIVER
 	LD	(PRADD),HL	;TO DCB
 	LD	A,1
 	LD	(PRDCB),A
 	DEC	A
 	LD	(COUNT),A	;LINE COUNTER
 	LD	A,5EH		;CURSOR CHARACTER
 	LD	(CHAR),A
 	LD	A,66		;LINES/PAGE PRINTER
 	LD	(LINEPG),A
 	LD	HL,TITLE
 	CALL	PRINT
 	LD	HL,3C40H
 	LD	(VIDTOP),HL
 	JP	402DH		;GO DOS READY
 TITLE	DB	1CH,1FH,'****  Super-Utility II by Kim Watt version 1.0  ****',13
 	DB	0
 	END
	;LINES/PAGE PRINTER
 	LD	(LINEPG),A
 	LD	HL,TITLE
 	CALL	PRINT
 	LD	HL,3C40H
 	LD	(VIDTOP),HL
 	JP	402DH		;GO DOS READY
 TITLE	DB	1CH,1FH,'****  Super-Utility II by Kim Watt version 1.0  ****',13
 	DB	0
